Subject: bug#23952: closed (Re: bug#23952: 25.0.95; Regression: vc (git) over TRAMP doesn't work anymore)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2016 18:16:02 +0000

Your bug report

#23952: 25.0.95; Regression: vc (git) over TRAMP doesn't work anymore

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23952: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23952
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23952: 25.0.95; Regression: vc (git) over TRAMP doesn't work anymore
From: Michael Albinus <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Dima Kogan <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 12 Jul 2016 20:15:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> > Maybe Dima could recheck the patch?
>> 
>> I just tested it on my machine (fairly vanilla Debian/sid install) and
>> it fixes the issue. Thank you, Michael.
>
> OK, thanks.  Let's push to emacs-25, then.

Done, closing the bug.

"make -C test/automated tramp-tests" passes also all tests, at least
there is no obvious regression. As promised, I'll add another test for
environment variables, tomorrow.

Best regards, Michael.

Subject: 25.0.95; Regression: vc (git) over TRAMP doesn't work anymore
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2016 22:38:41 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. I'm running a very recent emacs built from git (658daf9). In the
last two weeks or so, remote VC mode stopped working. Recipe:

1. emacs -Q
2. C-x C-f /127.0.0.1:emacs (or any other remote path that has a git
   repo)
3. C-x C-v D (or any other VC-mode function)

Instead of seeing VC mode do its thing it now throws an error:

  env: ‘GIT_DIR’: No such file or directory